For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETList Payments
              • GETGet Payment Detail
              • DELDelete Payment
              • GETGet Payment Operation
              • POSTPerform Payment Operation
              • PUTUpdate Payment Processing Status
              • GETList Payment Transactions
              • POSTCreate Offline Payment
              • PUTUpdate Offline Payment
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementPayments

Create Offline Payment

POST
https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline
POST
/api/v3/io/ip/payments/offline
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "lineItems": [
> {
> "invoiceId": 13,
> "amount": "20.00"
> }
> ],
> "currency": "USD",
> "details": {
> "memo": "Test"
> },
> "customerId": "113",
> "payerName": "Store offline payment",
> "payerCustomerId": "113",
> "processingStatus": 3,
> "fundingStatus": "2"
>}'
1{
2 "code": 200,
3 "data": {
4 "paymentId": 112
5 },
6 "meta": {
7 "message": "SUCCESS"
8 }
9}
Create offline payment
Was this page helpful?
Previous

List Payment Transactions

Next

Update Offline Payment

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

This endpoint expects an object.
lineItemslist of objectsRequired
currencystringRequired
detailsobjectRequired
customerIdstringRequired
B2B Edition Company ID
externalIdstringOptional
externalCustomerIdstringOptional
payerNamestringOptionalDefaults to Store offline payment
Default is "Store Offline Payment " if no value is passed in.
payerCustomerIdstringOptional
The default value is the same as the customerId.
processingStatusenumOptionalDefaults to 3
payment status, 3 is the default
Allowed values:
channelIdintegerOptional
BigCommerce channel ID

Response

OK
codedouble
dataobject
metaobject

Errors

422
Unprocessable Entity Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.